<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));

//echo "<br> Sistema lab. de solos - Tela de login";
//$sessao = new sessao();
//$anoCorrente=$sessao->getVar('anocorrente');
//$senhaCli=$sessao->getVar('iduser');
//$idLabo=$sessao->getVar('idLabo');
//$nomeOperador=$sessao->getVar('nomeuser');
//echo(" Operador: $nomeOperador cod_labo= $idLabo<br>");

 
switch ($tela):
    case 'testar_emailXXX':
	    if (post('enviar') !== ""): 
		   $destino=post('destino');
           echo("destino=$detino<br>");		
		
		
		endif;
	
        //if(empty($destino)==false):	
		
        if($destino=="ssssxxxx"):  


	// Medida preventiva para evitar que outros domínios sejam remetente da sua mensagem. 
    //if (eregi('gugeler.net$|uolhost.com.br$|hospedagemdesites.ws$|websiteseguro.com$|publiccloud.com.br$', $_SERVER[HTTP_HOST])) {
    //$emailsender='silas2011net@gugeler.net'; // Substitua essa linha pelo seu e-mail@seudominio
    //} else {
    //if (eregi('gugeler.net$|uolhost.com.br$|hospedagemdesites.ws$|websiteseguro.com$|publiccloud.com.br$', $_SERVER[HTTP_HOST]))
	//else 
	//{
    //    $emailsender = "silas2011net@" . $_SERVER[HTTP_HOST];
    //    Na linha acima estamos forçando que o remetente seja 'webmaster@seudominio',
    // Você pode alterar para que o remetente seja, por exemplo, 'contato@seudominio'.
    //}
    //aqui estou colocando o endereco diretamente
    $emailsender = "silas2011net@gugeler.net";

 
/* Verifica qual éo sistema operacional do servidor para ajustar o cabeçalho de forma correta.  */
if(PATH_SEPARATOR == ";"):
     $quebra_linha = "\r\n"; //Se for Windows
else:
     $quebra_linha = "\n"; //Se "nÃ£o for Windows"
endif; 


// Passando os dados obtidos pelo formulário para as variáveis abaixo
$nomeremetente     = post('nomeremetente');
$emailremetente    = post('emailremetente');
$emaildestinatario = post('emaildestinatario');
$assunto           = post('assunto');
$mensagem          = post('mensagem');
 
$nomeremetente     = "Oto";
$emailsender       = 'silas2011net@gugeler.net';
$emaildestinatario = 'silas_suporte@hotmail.com';
$assunto           = 'testando envio de e-mail';
$mensagem          = 'Se funcionar, deve aparecer este texto.';
 
 
 
/* Montando a mensagem a ser enviada no corpo do e-mail. */
$mensagemHTML = '<P>Esse email &eacute; um teste enviado no formato HTML via PHP mail();!</P>
<P>Aqui está a mensagem postada por você; formatada em HTML:</P>
<p><b><i>'.$mensagem.'</i></b></p>
<hr>';
 
 
/* Montando o cabeÃ§alho da mensagem */
$headers = "MIME-Version: 1.1" .$quebra_linha;
$headers .= "Content-type: text/html; charset=iso-8859-1" .$quebra_linha;
// Perceba que a linha acima contém "text/html", sem essa linha, a mensagem não chegará formatada.
$headers .= "From: " . $emailsender.$quebra_linha;
$headers .= "Reply-To: " . $emailsender . $quebra_linha;
// Note que o e-mail do remetente será usado no campo Reply-To (Responder Para)
 
/* Enviando a mensagem */
//É obrigatório o uso do parâmetro -r (concatenação do "From na linha de envio"), aqui na Locaweb:
if(!mail($emaildestinatario, $assunto, $mensagemHTML, $headers ,"-r".$emailsender)){ // Se for Postfix
    $headers .= "Return-Path: " . $emailsender . $quebra_linha; // Se "não for Postfix"
    mail($emaildestinatario, $assunto, $mensagemHTML, $headers );
}
 
/* Mostrando na tela as informações enviadas por e-mail */
print "Mensagem <b>$assunto</b> enviada com sucesso!<br><br>
De: $emailsender<br>
Para: $emaildestinatario<br>
<p><a href='".$_SERVER["HTTP_REFERER"]."'>Voltar</a></p>";






endif;//testa se digitou ssssxxxx

if($destino=="aaaaxxxx"):
	// The message
	$message = "Line 1\nLine 2\nLine 3";

	// In case any of our lines are larger than 70 characters, we should use wordwrap()
	$message = wordwrap($message, 70);

	// Send
	mail('silas2011net@gugeler.net', 'My Subject', $message);
    echo("passou por aqui<br>");
endif;//testa se digitou aaaaxxxx

		?>
		<form class="userform" method="POST" action="">
		<table>
		<input type="text" name="destino" size="100"  value="" maxlength="100" />
		<input type="submit" name="enviar" value="Enviar" />
		
		
		
		</table>
        </form>		
		
		
	
       <?php
    break;
//xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

 case 'testar_email':
 //este é o exemplo do uolhost
/*apenas dispara o envio da mensagem caso houver/existir post('enviar')*/
if (post('enviar') !== "")
{
/*
/* $destinatarios = 'email-para-receber-formulario@seu-dominio';

/* $nomeDestinatario = 'Nome do destinatário';

/* $usuario = 'usuario@seu-dominio';

/* $senha = 'senha';


/*abaixo as veriaveis principais, que devem conter em seu formulario*/
$nomeRemetente = post('nomeRemetente');
$assunto = post('assunto');
post('mensagem') = nl2br('E-mail: '. post('email') ."

". post('mensagem'));


/*********************************** A PARTIR DAQUI NAO ALTERAR ************************************/

include_once("class.phpmailer.php");

$To = $destinatarios;
$Subject = $assunto;
$Message = post('mensagem');

$Host = 'smtp.'.substr(strstr($usuario, '@'), 1);
$Username = $usuario;
$Password = $senha;
$Port = "587";

$mail = new PHPMailer();
$body = $Message;
$mail->IsSMTP(); // telling the class to use SMTP
$mail->Host = $Host; // SMTP server
$mail->SMTPDebug = 0; // enables SMTP debug information (for testing)
// 1 = errors and messages
// 2 = messages only
$mail->SMTPAuth = true; // enable SMTP authentication
$mail->Port = $Port; // set the SMTP port for the service server
$mail->Username = $Username; // account username
$mail->Password = $Password; // account password

$mail->SetFrom($usuario, $nomeDestinatario);
$mail->Subject = $Subject;
$mail->MsgHTML($body);
$mail->AddAddress($To, "");

if(!$mail->Send()) {
$mensagemRetorno = 'Erro ao enviar e-mail: '. print($mail->ErrorInfo);
} else {
$mensagemRetorno = 'E-mail enviado com sucesso!';
}
}
		?>
		<form class="userform" method="POST" action="">
		<table>
		<input type="text" name="message" size="100"  value="mensagem boba" maxlength="100" />
		<input type="submit" name="enviar" value="Enviar" />
		
		
		
		</table>
        </form>		
		
		
	
       <?php
    break;




    case 'testar_emailyyyy':
	
	    if (post('enviar') !== ""): 
		   $message=post('message');
           echo("message=$message<br>");		
		
		

	


// Passando os dados obtidos pelo formulário para as variáveis abaixo
$nomeremetente     = post('nomeremetente');
$emailremetente    = post('emailremetente');
$emaildestinatario = post('emaildestinatario');
$assunto           = post('assunto');
$mensagem          = post('mensagem');
 
$nomeremetente     = "Oto";
$emailsender       = 'silas2011net@gugeler.net';
$emaildestinatario = 'silas_suporte@hotmail.com';
$assunto           = 'testando envio de e-mail';
$mensagem          = 'Se funcionar, deve aparecer este texto.';
 
 
 
/* Montando a mensagem a ser enviada no corpo do e-mail. 
no LINUX   A quebra de linha para utilizar no cabeçalho deve ser "\n" 
NO WINDOWS A quebra de linha para utilizar no cabeçalho deve ser "\r\n" 
*/
$mensagemHTML = '<P>Esse email &eacute; um teste enviado no formato HTML via PHP mail();!</P>
<P>Aqui está a mensagem postada por você; formatada em HTML:</P>
<p><b><i>'.$mensagem.'</i></b></p>
<hr>';
 
 
/* Montando o cabeÃ§alho da mensagem */
$headers = "MIME-Version: 1.1" .$quebra_linha;
$headers .= "Content-type: text/html; charset=iso-8859-1" .$quebra_linha;
// Perceba que a linha acima contém "text/html", sem essa linha, a mensagem não chegará formatada.
$headers .= "From: " . $emailsender.$quebra_linha;
$headers .= "Reply-To: " . $emailsender . $quebra_linha;
// Note que o e-mail do remetente será usado no campo Reply-To (Responder Para)
 
 
/* Mostrando na tela as informações enviadas por e-mail */
print "Mensagem <b>$assunto</b> enviada com sucesso!<br><br>
De: $emailsender<br>
Para: $emaildestinatario<br>
<p><a href='".$_SERVER["HTTP_REFERER"]."'>Voltar</a></p>";


	$headers = "MIME-Version: 1.1\n";
	$headers .= "Content-type: text/plain; charset=iso-8859-1\n";
	$headers .= "From: silas2011net@gugeler.net\n"; // remetente
	$headers .= "Return-Path: silas2011net@gugeler.net\n"; // return-path
	$envio = mail("silas_suporte@hotmail.com", "Assunto", "Texto", $headers);
	 
	if($envio):
	   echo "Mensagem enviada com sucesso";
	else:
	   echo "A mensagem não pode ser enviada";
	endif; 
	
	  

endif;//testa se mandou algo VIA SUBMIT

/*
ver este exemplo
// O remetente deve ser um e-mail do seu domínio conforme determina a RFC 822.
// O return-path deve ser ser o mesmo e-mail do remetente.
$headers = "MIME-Version: 1.1\r\n";
$headers .= "Content-type: text/plain; charset=iso-8859-1\r\n";
$headers .= "From: eu@seudominio.com\r\n"; // remetente
$headers .= "Return-Path: eu@seudominio.com\r\n"; // return-path
$envio = mail("destinatario@algum-email.com", "Assunto", "Texto", $headers);
 
if($envio)
 echo "Mensagem enviada com sucesso";
else
 echo "A mensagem não pode ser enviada";

*/





		?>
		<form class="userform" method="POST" action="">
		<table>
		<input type="text" name="message" size="100"  value="mensagem boba" maxlength="100" />
		<input type="submit" name="enviar" value="Enviar" />
		
		
		
		</table>
        </form>		
		
		
	
       <?php
    break;

 


	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>